Subject: Re: [patch net-next v2 4/4] net: devlink: expose the info about version representing a component

From: Jakub Kicinski <[email-masked]>
Date: Wed, 24 Aug 2022 11:12:02 -0700

On Wed, 24 Aug 2022 17:31:46 +0000 Keller, Jacob E wrote:
> > Well, I thought it would be polite to let the user know what component
> > he can pass to the kernel. Now, it is try-fail/success game. But if you
> > think it is okay to let the user in the doubts, no problem. I will drop
> > the patch.  
> 
> I would prefer exposing this as well since it lets the user know which names are valid for flashing.
> 
> I do have some patches for ice to support individual component update as well I can post soon.

Gentlemen, I had multiple false starts myself adding information 
to device info, flashing and health reporters. Adding APIs which
will actually be _useful_ in production is not trivial. I have 
the advantage of being able to talk to Meta's production team first
so none of my patches made it to the list. 

To be clear I'm not saying (nor believe) that Meta's needs or processes 
are in any way "the right way to go" or otherwise should dictate
the APIs. It's just an example I have direct access to.

I don't think I'm out of line asking you for a clear use case.
Just knowing something is flashable is not sufficient information,
the user needs to know what the component actually describes and
what binary to use to update it.

Since we have no use of component flashing now it's all cart
before the horse.

Coincidentally I doubt anyone is making serious use of the health
infrastructure.